/***********
Copyright (c) 2014 PatheticCockroach - http://www.patheticcockroach.com

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is furnished
to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
***********/

// ==UserScript==
// @name        Twitter kill promoted tweets
// @namespace   Twitter_nopromo
// @description		Remove promoted tweets because they are so sneaky
// @version     1
// @encoding		UTF-8
// @include     https://twitter.com*
// @grant       none
// @author			PatheticCockroach - http://www.patheticcockroach.com
// @license			MIT License
// @url				http://notepad.patheticcockroach.com/2988/a-few-ad-killing-greasemonkey-scripts/
// todo:updateURL		http://img.patheticcockroach.com/01/gms/GNT_Ad_Cleaner.user.js
// ==/UserScript==

var Twitter_nopromoCount=0;
var Twitter_nopromo={
	start : function(){
		// bad divs
		var pageDivs=document.getElementsByTagName('div');
		var ads=["promoted-tweet"];
		for(n=0;n<pageDivs.length;n++) {
			thisDiv=pageDivs[n];
			//if(thisDiv.className!='') {alert(thisDiv.className + n);}
			/*for(i=0;i<ads.length;i++) {
				if(thisDiv.className==ads[i]) {
					thisDiv.style.display='none';
				}
			}*/
			if(ads.indexOf(thisDiv.className)!=-1) {
				thisDiv.style.display='none';
				thisDiv.innerHTML='';
			}
			for(i=0;i<ads.length;i++) {
				if(thisDiv.className.indexOf(ads[i])!=-1) {
					thisDiv.style.display='none';
				}
			}
		}
		if(Twitter_nopromoCount++<50) setTimeout(Twitter_nopromo.start,2000);
    else setTimeout(Twitter_nopromo.start,10000);
	}
}
Twitter_nopromo.start();